- Update a template in project
Updates a template DRAFT.
Note that it is not possible to update all fields for a template, if you want to update a field that is not supported you will need to delete the draft and create a new one.
Update a template REJECTED / APPROVED / PAUSED / DISABLED
It is possible to update templates that have been rejected, approved, paused or disabled, we will automatically set the status to draft when update a rejected template.
The unique ID of the project. You can find this on the Sinch Dashboard.
Supported template fields to update.
Create as draft or submit. Defaults to draft.
Works if status template is DRAFT or it was rejected with INCORRECT_CATEGORY.
Works if status template is DRAFT or it was rejected with INCORRECT_CATEGORY True if Meta should be allowed to change the category if they determine the category is wrong. If false, Meta might reject the template if they determine the category is wrong based on the template contents. Defaults to false.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}
Example body request to update a template.
curl -i -X PATCH \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"details": {
"components": [
{
"type": "HEADER",
"format": "LOCATION"
},
{
"type": "HEADER",
"format": "TEXT",
"text": "Save {{1}}% on your next purchase!",
"example": "20"
},
{
"type": "HEADER",
"format": "DOCUMENT",
"example": {
"url": "https://example.com/photos/1.png"
}
},
{
"type": "BODY",
"text": "Good morning {{1}}, your package has arrived.",
"examples": [
"Mr. Smith"
],
"addSecurityRecommendation": true
},
{
"type": "FOOTER",
"text": "To track your order please click the '\''Track Your Order'\'' button",
"codeExpirationMinutes": 5
},
{
"type": "BUTTONS",
"buttons": [
{
"type": "PHONE_NUMBER",
"text": "Example text.",
"phoneNumber": "+48 777 777777"
},
{
"type": "URL",
"text": "Example test",
"url": "https://www.my-website.com?name={{1}}",
"example": "https://www.my-website.com?name=john"
},
{
"type": "QUICK_REPLY",
"text": "Track Your Order"
},
{
"type": "OTP",
"otpType": "COPY_CODE",
"text": "Example text."
},
{
"type": "FLOW",
"text": "Start Flow",
"flowId": "flow-id",
"navigateScreen": "QUESTION_ONE",
"flowAction": "NAVIGATE"
},
{
"type": "REQUEST_CONTACT_INFO"
}
]
},
{
"type": "CAROUSEL",
"cards": [
{
"components": [
{
"type": "HEADER",
"format": "IMAGE",
"example": {
"url": "https://example.com/photos/1.png"
}
},
{
"type": "BODY",
"text": "Good morning {{1}}, your package has arrived.",
"examples": [
"Mr. Smith"
]
},
{
"type": "BUTTONS",
"buttons": [
{
"type": "URL",
"text": "Example test",
"url": "https://www.my-website.com?name={{1}}",
"example": "https://www.my-website.com?name=john"
},
{
"type": "QUICK_REPLY",
"text": "Track Your Order"
},
{
"type": "PHONE_NUMBER",
"text": "Example text.",
"phoneNumber": "+48 777 777777"
}
]
}
]
}
]
}
],
"messageSendTtlSeconds": 60
}
}'Updated template draft
Rejection code if template is in status 'REJECTED'
Quality score of the HSM.
Object containing changes on the template. If empty the changes has been approved and applied to the template.
Response when successfully update a template.
{ "whatsappId": "123456", "name": "My WhatsApp Template", "state": "APPROVED", "category": "UTILITY", "language": "EN_US", "qualityScore": "QUALITY_SCORE_GREEN", "changes": { "status": "IN_PROGRESS", "details": { … } }, "details": { "components": [ … ], "messageSendTtlSeconds": 60 }, "analytics": [], "isMetaGenerated": false }